lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "au/version"

Gem::Specification.new do |spec|
  spec.name          = 'au'
  spec.version       = Au::VERSION
  spec.authors       = ['Edward Du', 'Zino Hu', 'Hubert Li']
  spec.email         = ['zhiheng.li@rochester.edu', 'ydu14@u.rochester.edu', 'zino@codes@gmail.com']

  spec.summary       = %q{Distributed version control}
  spec.description   = %q{Yet another distributed version control system}
  spec.homepage      = "https://github.com/hubertlee915/DVCS"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'bin'
  spec.executables   = ['au']
  spec.require_paths = ['lib']

  spec.add_dependency 'thor'
  spec.add_dependency 'colorize'
  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "3.8.0"
  spec.add_development_dependency "pry"
end
